

export const surfer = {
    id: 0,
    color: 'lightgray',
    priority: '',
    name: ''
}

export function createPriority() {
    const priority = {
        surfers: [],
        round: {
            name: '',
            heat: 1,
            category: ''
        },
        surfersCount: 4
    };

    for (let i = 0; i < priority.surfersCount; i++) {
        let s = {};
        Object.assign(s, surfer)
        s.id = i + 1
        priority.surfers.push(s)
    };
    console.log(`priority: ${JSON.stringify(priority)}`)

    return priority;
}

// export const priority = createPriority();